# Read in the numbers.
regular <- read.table('./failafterpass-regular.csv', header=TRUE, sep=',')
merges_by_pr <- read.table('./failafterpass-merge-yesnopr.csv', header=TRUE, sep=',')
merges_by_pr$fails <- merges_by_pr$fail_after_pass_merge + merges_by_pr$fail_after_pass_pr

# Calculate ratio of breaking commits vs respective totals
regular$breakpct       <- regular$fail_after_pass / regular$total_after_pass * 100
merges_by_pr$breakpct  <- merges_by_pr$fails / merges_by_pr$total_after_pass * 100
merges_by_pr$mbreakpct <- merges_by_pr$fail_after_pass_merge / merges_by_pr$total_after_pass_merge * 100
merges_by_pr$pbreakpct <- merges_by_pr$fail_after_pass_pr / merges_by_pr$total_after_pass_pr * 100

# Create boxplots
par(mfrow=c(1,2))
boxplot(regular$breakpct, merges_by_pr$breakpct, names=c(expression('BREAK%'['RC']), expression('BREAK%'['MC'])), main='(a) Breaking commits', ylim=c(0,100))
boxplot(merges_by_pr$mbreakpct, merges_by_pr$pbreakpct, names=c(expression('BREAK%'['MCNPR']), expression('BREAK%'['MCPR'])), main='(b) Breaking merge commits', ylim=c(0,100))
