# Loads in the data
fixers <- read.table('./travistorrent_fixer.csv', header=TRUE, sep=',')
mergefixers <- fixers[fixers$is_merge == 1,]

srcandtestfixesbyproject <- function() {
  # Create data
  total <- aggregate(mergefixers$git_diff_src_churn, by=list(mergefixers$gh_project_name), length)
  srcovertest <- aggregate(mergefixers$git_diff_src_churn > 0 & mergefixers$git_diff_test_churn == 0, by=list(mergefixers$gh_project_name), sum)
  testoversrc <- aggregate(mergefixers$git_diff_src_churn == 0 & mergefixers$git_diff_test_churn > 0, by=list(mergefixers$gh_project_name), sum)
  srceqtest <- aggregate(mergefixers$git_diff_src_churn > 0 & mergefixers$git_diff_test_churn > 0, by=list(mergefixers$gh_project_name), sum)
  srcnortest <- aggregate(mergefixers$git_diff_src_churn == 0 & mergefixers$git_diff_test_churn == 0, by=list(mergefixers$gh_project_name), sum)
  srctest_byproject <- data.frame(total$Group.1, total$x, srcovertest$x, testoversrc$x, srceqtest$x, srcnortest$x)
  colnames(srctest_byproject) <- c("gh_project_name", "total", "srcovertest", "testoversrc", "srceqtest", "srcnortest")
  rm(total, srcovertest, srceqtest, testoversrc, srcnortest)
  
  # Relative data
  srctest_relative <- srctest_byproject
  srctest_relative$srcovertest <- srctest_relative$srcovertest / srctest_relative$total
  srctest_relative$testoversrc <- srctest_relative$testoversrc / srctest_relative$total
  srctest_relative$srceqtest <- srctest_relative$srceqtest / srctest_relative$total
  srctest_relative$srcnortest <- srctest_relative$srcnortest / srctest_relative$total
  
  
  boxplot(
    srctest_relative$srcovertest,
    srctest_relative$testoversrc,
    srctest_relative$srceqtest,
    srctest_relative$srcnortest,
    names = c("Source", "Test", "Both", "Neither"))
}
