# Loads in the data
fixers <- read.table('./travistorrent_fixer.csv', header=TRUE, sep=',')
mergefixers <- fixers[fixers$is_merge == 1,]

## Per project how much lines are needed to fix breaking merge commits
medianlines <- function() {
  churnperproject <- aggregate(mergefixers$git_diff_src_churn + mergefixers$git_diff_test_churn, by=list(mergefixers$gh_project_name), median)
  colnames(churnperproject) <- c("gh_project_name", "churn")
  
  par(mfrow=c(1,1))
  hist(churnperproject$churn,
       breaks=seq(0, max(churnperproject$churn)+25, by=5),
       #xlim=c(0, 300),
       main="",
       xlab="Median LINES",
       ylab="Number of projects")
  par(fig=c(0.2, 1, 0.3, 1), new=TRUE)
  hist(churnperproject$churn,
       breaks=seq(0, max(churnperproject$churn)+25, by=5),
       xlim=c(0, 100),
       main="",
       xlab="",
       ylab="")
  box()
  summary(churnperproject)
}
